<?php
class uc_acar_handler_field_uc_acar extends views_handler_field{
	function query(){
		$this->ensure_my_table();
		$this->add_additional_fields();
	}	
	function render($val){
		switch($this->options['vie']){
		case uc_acar::VIE_PRO: return uc_acar_vie(uc_acar::VIE_PRO, uc_acar_reso_tpl_fil($this->options['tpl']), $val->nid);
		case uc_acar::VIE_CAR: return uc_acar_vie(uc_acar::VIE_CAR, uc_acar_reso_tpl_fil($this->options['tpl']));
		}
	}
	function option_definition(){
		$options = parent::option_definition();
		$options['vie'] = array('default' => 0);
		$options['tpl'] = array('default' => 'uc-acar-view.tpl.php');
		return $options;
	}
	function options_form(&$frm, &$sta){
		parent::options_form($frm, $sta);
		$frm['vie'] = array(
			'#type' => 'select',
			'#title' => 'Form',
			'#options' => array(
				uc_acar::VIE_PRO => 'Product',
				uc_acar::VIE_CAR => 'Cart'
			),
			'#default_value' => $this->options['vie']			
		);
		$frm['tpl'] =  array(
			'#type' => 'textfield',
			'#title' => 'Template',
			'#default_value' => $this->options['tpl']			
		);
	}
}